[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TCanvas.Pie

Pie draws a filled Pie-shaped wedge on the canvas.

## Declaration

Source position: graphics.pp line 1134

`public procedure TCanvas.Pie(`
`EllipseX1: Integer;`
`EllipseY1: Integer;`
`EllipseX2: Integer;`
`EllipseY2: Integer;`
`StartX: Integer;`
`StartY: Integer;`
`EndX: Integer;`
`EndY: Integer`
`); virtual;`

## Description

Pie is a method used to draw a filled Pie-shaped wedge on the canvas. The pie is part of an ellipse between the points EllipseX1, EllipseY1, EllipseX2, EllipseY2. The values StartX, StartY and EndX, EndY represent the starting and ending radial-points between which the Bounding-Arc is drawn.